<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="">
        <div class="schema-table-head">
            <div class="row">
                <div class="col-5">
                    <div class="schema-table-head-title">Name</div>
                </div>
                <div class="col-4">
                    <div class="schema-table-head-title">Description</div>
                </div>
                <div class="col-3">
                    <div class="schema-table-head-title">Glossary Terms</div>
                </div>
            </div>
        </div>
        <div class="schema-table-line" v-for="schema in schemaData" :key="schema.id">
            <div class="row">
                <div class="col-5">
                    <div class="schema-table-wrapper">
                        <div class="schema-table-head-title">{{ schema.name }}</div>
                        <div class="schema-table-tags">
                            <div :class="[`schema-tag ${tag.type}`]" v-for="(tag, key) in schema.tags" :key="key">{{ tag.value }}</div>
                        </div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="schema-table-head-title">{{ schema.description }}</div>
                </div>
                <div class="col-3">
                    <div class="schema-table-head-title">{{ schema.terms }}</div>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
    const { schemaData } = defineProps(['schemaData']);
</script>